Loading...
Searching...
No Matches
instanceid_keys.c File Reference

ietf-netconf edit-config key metadata instance-identifier keys predicate type plugin. More...

`#include "plugins_types.h"`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include "libyang.h"`
`#include "compat.h"`
`#include "ly_common.h"`
`#include "path.h"`
`#include "plugins_internal.h"`
`#include "xpath.h"`
Include dependency graph for instanceid_keys.c:

Go to the source code of this file.

## Data Structures

struct | lyd_value_instance_identifier_keys
| Special lyd_value structure for yang instance-identifier-keys values. More...

## Macros

#define | _GNU_SOURCE /* strdup */

## Variables

const struct lyplg_type_record | plugins_instanceid_keys []
| Plugin information for instance-identifier type implementation.

## Detailed Description

ietf-netconf edit-config key metadata instance-identifier keys predicate type plugin.

Author
  Michal Basko mvask.nosp@m.o@ce.nosp@m.snet..nosp@m.cz

Copyright (c) 2022 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file instanceid_keys.c.

## Data Structure Documentation

## lyd_value_instance_identifier_keys

struct lyd_value_instance_identifier_keys

Special lyd_value structure for yang instance-identifier-keys values.

Definition at line 42 of file instanceid_keys.c.

Data Fields
const struct ly_ctx * | ctx |
LY_VALUE_FORMAT | format |
struct lyxp_expr * | keys |
void * | prefix_data |

## Macro Definition Documentation

## _GNU_SOURCE

#define _GNU_SOURCE /* strdup */

Definition at line 14 of file instanceid_keys.c.

## Variable Documentation

## plugins_instanceid_keys

const struct lyplg_type_record plugins_instanceid_keys[]

Initial value:
= {
{
.module = "yang",
.revision = NULL,
.name = "instance-identifier-keys",
.plugin.id = "libyang 2 - instance-identifier-keys, version 1",
.plugin.store = lyplg_type_store_instanceid_keys,
.plugin.validate = NULL,
.plugin.compare = lyplg_type_compare_simple,
.plugin.sort = lyplg_type_sort_simple,
.plugin.print = lyplg_type_print_xpath10,
.plugin.duplicate = lyplg_type_dup_xpath10,
.plugin.free = lyplg_type_free_xpath10,
.plugin.lyb_data_len = -1,
},
{0}
}
lyplg_type_sort_simple
LIBYANG_API_DEF int lyplg_type_sort_simple(const struct ly_ctx *ctx, const struct lyd_value *val1, const struct lyd_value *val2)
Implementation of lyplg_type_sort_clb for a generic simple type.
lyplg_type_compare_simple
LIBYANG_API_DECL LY_ERR lyplg_type_compare_simple(const struct ly_ctx *ctx, const struct lyd_value *val1, const struct lyd_value *val2)
Implementation of lyplg_type_compare_clb for a generic simple type.
lyplg_type_dup_xpath10
LIBYANG_API_DECL LY_ERR lyplg_type_dup_xpath10(const struct ly_ctx *ctx, const struct lyd_value *original, struct lyd_value *dup)
Implementation of lyplg_type_dup_clb for the ietf-yang-types xpath1.0 type.
Definition xpath1.0.c:479
lyplg_type_free_xpath10
LIBYANG_API_DECL void lyplg_type_free_xpath10(const struct ly_ctx *ctx, struct lyd_value *value)
Implementation of lyplg_type_free_clb for the ietf-yang-types xpath1.0 type.
Definition xpath1.0.c:511
lyplg_type_print_xpath10
LIBYANG_API_DECL const void * lyplg_type_print_xpath10(const struct ly_ctx *ctx, const struct lyd_value *value, LY_VALUE_FORMAT format, void *prefix_data, ly_bool *dynamic, size_t *value_len)
Implementation of lyplg_type_print_clb for the ietf-yang-types xpath1.0 type.
Definition xpath1.0.c:440

Plugin information for instance-identifier type implementation.

Note that external plugins are supposed to use:

LYPLG_TYPES = {

Definition at line 236 of file instanceid_keys.c.